com.holonplatform.vaadin.flow.components.builders

## Interface MultiSelectInputConfigurator<T,ITEM,C extends MultiSelectInputConfigurator<T,ITEM,C>>

- Type Parameters:
    `T` - Value type
    `ITEM` - Item type
    `C` - Concrete configurator type
  All Superinterfaces:
    ComponentConfigurator<C>, DeferrableLocalizationConfigurator<C>, HasDeferrableLocalization, HasElementConfigurator<C>, HasEnabledConfigurator<C>, HasStyleConfigurator<C>, InputConfigurator<Set<T>,ValueHolder.ValueChangeEvent<Set<T>>,C>, ItemSetConfigurator<C>, SelectableInputConfigurator<Set<T>,T,C>
  All Known Subinterfaces:
    OptionsModeMultiSelectInputBuilder<T,ITEM,B>, OptionsModeMultiSelectInputBuilder.DatastoreItemOptionsModeMultiSelectInputBuilder<T,ITEM>, OptionsModeMultiSelectInputBuilder.DatastoreItemOptionsModeMultiSelectInputConfigurator<T,ITEM,C>, OptionsModeMultiSelectInputBuilder.DatastorePropertyOptionsModeMultiSelectInputBuilder<T>, OptionsModeMultiSelectInputBuilder.DatastorePropertyOptionsModeMultiSelectInputConfigurator<T,C>, OptionsModeMultiSelectInputBuilder.ItemOptionsModeMultiSelectInputBuilder<T,ITEM>, OptionsModeMultiSelectInputBuilder.ItemOptionsModeMultiSelectInputConfigurator<T,ITEM,D,C>, OptionsModeMultiSelectInputBuilder.PropertyOptionsModeMultiSelectInputBuilder<T>, OptionsModeMultiSelectInputBuilder.PropertyOptionsModeMultiSelectInputConfigurator<T,D,C>, OptionsModeMultiSelectInputBuilder.ValidatableDatastoreItemOptionsModeMultiSelectInputBuilder<T,ITEM>, OptionsModeMultiSelectInputBuilder.ValidatableDatastorePropertyOptionsModeMultiSelectInputBuilder<T>, OptionsModeMultiSelectInputBuilder.ValidatableItemOptionsModeMultiSelectInputBuilder<T,ITEM>, OptionsModeMultiSelectInputBuilder.ValidatablePropertyOptionsModeMultiSelectInputBuilder<T>

      public interface MultiSelectInputConfigurator<T,ITEM,C extends MultiSelectInputConfigurator<T,ITEM,C>>
      extends ItemSetConfigurator<C>, SelectableInputConfigurator<Set<T>,T,C>

  `MultiSelect` type `Input` configurator.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `ItemSetConfigurator.ItemCaptionGenerator<ITEM>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectableInputConfigurator

      `withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

Copyright © 2019 The Holon Platform. All rights reserved.